# class Tk::Iwidgets::Scrolledhtml

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

import(href) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 37
    def import(href)
      tk_call(@path, 'import', href)
      self
    end

import_link(href) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 42
    def import_link(href)
      tk_call(@path, 'import', '-link', href)
      self
    end

pwd() click to toggle source

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 47
    def pwd
      tk_call(@path, 'pwd')
    end

render(htmltext, workdir=None) click to toggle source

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 51
    def render(htmltext, workdir=None)
      tk_call(@path, 'render', htmltext, workdir)
      self
    end

title() click to toggle source

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 56
    def title
      tk_call(@path, 'title')
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 22
    def __boolval_optkeys
      super() << 'update'
    end

__font_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Scrolledtext#__font_optkeys

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 32
    def __font_optkeys
      super() << 'fixedfont'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Scrolledtext#__strval_optkeys

    # File lib/tkextlib/iwidgets/scrolledhtml.rb, line 27
    def __strval_optkeys
      super() << 'fontname' << 'link' << 'alink' << 'textbackground'
    end